> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/managedconfigurationssettings/list#auth).

Lists all the managed configurations settings for the specified app.

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/products/productId/managedConfigurationsSettings
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `productId` | `string` | The ID of the product for which the managed configurations settings applies to. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#managedConfigurationsSettingsListResponse",
  "managedConfigurationsSettings": [
    {
      "kind": "androidenterprise#managedConfigurationsSettings",
      "mcmId": string,
      "name": string,
      "lastUpdatedTimestampMillis": long
    }
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `managedConfigurationsSettings[]` | `list` | A managed configurations settings for an app that may be assigned to a group of users in an enterprise. |   |
| `managedConfigurationsSettings[].mcmId` | `string` | The ID of the managed configurations settings. |   |
| `managedConfigurationsSettings[].name` | `string` | The name of the managed configurations settings. |   |
| `managedConfigurationsSettings[].lastUpdatedTimestampMillis` | `long` | The last updated time of the managed configuration settings in milliseconds since 1970-01-01T00:00:00Z. |   |
| `kind` | `string` | Identifies what kind of resource this is. Value: the fixed string `"androidenterprise#managedConfigurationsSettingsListResponse"`. |   |
| `managedConfigurationsSettings[].kind` | `string` |   |   |